import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { ApiVisa, BaseApiTemplateService } from "../../shared";
import { PKCRequestBodyModel } from "../../../../../../models/dbschema";
export declare class KeyGenerationService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    generateKeys(websiteHdrGuid: string, requestData: PKCRequestBodyModel, visa: ApiVisa): Observable<any>;
    getPublicKey(websiteHdrGuid: string, visa: ApiVisa): Observable<any>;
    getPrivateKey(websiteHdrGuid: string, visa: ApiVisa): Observable<any>;
}
